﻿namespace FileSplitter.Shared.Enums;

/// <summary>
/// Опции разделения файла
/// </summary>
public enum FileSplitOptions
{
    /// <summary>
    /// Не проверять контрольную сумму после создания всех частей
    /// </summary>
    fsoNoCheckHash = 0,

    /// <summary>
    /// Шифровать json-Файл информации о разбиении
    /// </summary>
    fsoEncryptInfoFile = 1,

    /// <summary>
    /// Удалить исходный файл после разбиения
    /// </summary>
    fsoDeleteSourceFileAfterSplit = 2
}