﻿namespace FileSplitter.Shared.Classes;

public static class Localization
{
    //Параметры приложения
    public const string AppTitle = "ANB Software Делитель файлов";
    public const string AppVersion = "Версия: {0}";
    public const string AppCopyrights = "Авторские права (C) {0}, Александр Бабаев.";

    //Сообщения
    public const string MessageNoParameters =
        "Нет параметров. Информацию о работе с программой смотрите в файле \"Help\\Russian\\Console.html\"";
    public const string MessageNoParametersForSplit =
        "Не заданы параметры разбиения. Информацию о работе с программой смотрите в файле \"Help\\Russian\\Console.html\"";
    public const string MessageStartSplit = "Запущено разбиение файла {0} на части размером {1} и сохранением их в директории {2}.";
    public const string MessageSplitFilePart = "Идёт обработка части {0} из {1}...";
    public const string MessageSplitComplete = "Разбиение файла {0} завершено!";
    public const string MessageHashCheckStart = "Начинаю проверку хэша разбиения";
    public const string MessageHashCheckFail = "К сожалению, файл \"{0}\" не прошёл проверку хэша!";
    public const string MessageHashCheckComplete = "Проверка хэша завершена!";
    public const string MessageStartJoin = "Запущено объединение файлов, заданных файлом информации {0}, в файл {1}.";
    public const string MessageJoinUnsupportedFile = "К сожалению, версия файла информации {0} не поддерживается!";
    public const string MessageJoinUnknownFile = "Не могу прочитать файл информации! Возможно он зашифрован?";
    public const string MessageJoinHashError = "К сожалению, разделённые файлы не прошли проверку. Возможно они повреждены?";
    public const string MessageJoinFilePart = "Идёт обработка части {0} из {1}...";
    public const string MessageJoinComplete = "Объединение файла {0} завершено!";


    //Константы размеров
    public static readonly string[] FileSizeStrings = { "байт", "Кб", "Мб", "Гб", "Тб" };
}